rendered paste body#!/bin/sh -e
export localstatedir="/devel/arm/oetmp-ang/sysroots/i686-linux/var"
export prefix="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a"
export CPP="gcc -E"
export mandir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/man"
export STAGING_SIPDIR="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/share/sip"
export BUILD_CXXFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/include -O2 -g -fpermissive"
export OBJCOPY="objcopy"
export USER="woglinde"
export PSTAGING_ACTIVE="1"
export XDG_DATA_DIRS="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share"
export libexecdir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/libexec"
unset LIBC
export QTDIR="/qt2"
export datadir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share"
export STRIP="strip"
export BUILD_CXX="g++"
export SDK_LDFLAGS="-L/devel/arm/oetmp-ang/sysroots/i686-linux/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib -Wl,-rpath-link,/devel/arm/oetmp-ang/sysroots/i686-linux/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib -Wl,-O1"
export LD="ld"
export EXTRA_OEMAKE="configure-build-libiberty all"
export LDFLAGS="-L/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib -Wl,-rpath-link,/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib -Wl,-rpath,/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib -Wl,-O1"
export TARGET_CXXFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include -fexpensive-optimizations -fomit-frame-pointer -frename-registers -O2 -ggdb2 -fpermissive"
export MAKE="make"
export includedir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include"
export TARGET_CPPFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include"
export SHELLCMDS="bash --rcfile $TERMRCFILE"
export BUILD_CC="gcc"
export BUILD_LDFLAGS="-L/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib -Wl,-rpath-link,/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib -Wl,-rpath,/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib -Wl,-O1"
unset TARGET_ARCH
export DESKTOP_SESSION="blackbox"
export bindir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/bin"
export BUILD_LD="ld"
export oldincludedir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include"
export sysconfdir="/devel/arm/oetmp-ang/sysroots/i686-linux/etc"
export CCLD="gcc"
export LANG="de_DE.UTF-8"
export BUILD_CCLD="gcc"
export BBPATH="/devel/arm/build-ang::/devel/arm/git/openembedded"
export base_libdir="/devel/arm/oetmp-ang/sysroots/i686-linux/lib"
export LOGNAME="woglinde"
export PATH="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/bin:/devel/arm/oetmp-ang/sysroots/i686-linux/usr/sbin:/devel/arm/oetmp-ang/sysroots/i686-linux/usr/bin:/devel/arm/oetmp-ang/sysroots/i686-linux/sbin:/devel/arm/oetmp-ang/sysroots/i686-linux//bin:/devel/arm/bitbake/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games"
export TARGET_CFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include -fexpensive-optimizations -fomit-frame-pointer -frename-registers -O2 -ggdb2"
export base_bindir="/devel/arm/oetmp-ang/sysroots/i686-linux/bin"
export BUILD_CPP="cpp"
unset MACHINE
export XAUTHORITY="/home/woglinde/.Xauthority"
export SDK_CXXFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include -isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include -fexpensive-optimizations -fomit-frame-pointer -frename-registers -O2 -ggdb2 -fpermissive"
export sbindir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/bin"
export CFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/include -O2 -g"
export BUILD_AR="ar"
export sharedstatedir="/devel/arm/oetmp-ang/sysroots/i686-linux/com"
export DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-iGklCC7WJM,guid=e3304383f5ab4f9bce09ec4f00000048"
export OBJDUMP="objdump"
export HOSTNAME="rhein"
export BUILD_CFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/include -O2 -g"
unset DISTRO
export STAGING_IDLDIR="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/idl"
export QMAKE_MKSPEC_PATH="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/share/qmake"
export exec_prefix="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a"
export TARGET_LDFLAGS="-L/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib -Wl,-rpath-link,/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib -Wl,-O1 -Wl,--hash-style=gnu"
export docdir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/doc"
export PKG_CONFIG_DISABLE_UNINSTALLED="yes"
export infodir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/info"
export libdir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib"
export SDK_CPPFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include -isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include"
export base_prefix="/devel/arm/oetmp-ang/sysroots/i686-linux"
export CC="gcc"
export palmqtdir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/opie"
export TERM="xterm"
export BUILD_F77="g77"
export PWD="/devel/arm"
export CPPFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/include"
export SHELL="/bin/zsh"
export servicedir="/devel/arm/oetmp-ang/sysroots/i686-linux/srv"
export RANLIB="ranlib"
export base_sbindir="/devel/arm/oetmp-ang/sysroots/i686-linux/bin"
export CXX="g++"
export palmtopdir="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/opie"
export HOME="/home/woglinde"
export BUILD_RANLIB="ranlib"
export PKG_CONFIG_SYSROOT_DIR="/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi"
export PKG_CONFIG_PATH="/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/pkgconfig:/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/pkgconfig:/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib/pkgconfig:/devel/arm/oetmp-ang/sysroots/i686-linux/usr/share/pkgconfig"
export _="/devel/arm/bitbake/bin/bitbake"
export PATCH_GET="0"
export CXXFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/include -O2 -g"
export DISPLAY=":0.0"
export NM="nm"
export F77="g77"
export BUILD_STRIP="strip"
export XDG_SESSION_COOKIE="85494245045f50177122afbb1da90c00-1287584773.917741-2115783048"
export SDK_CFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include -isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include -fexpensive-optimizations -fomit-frame-pointer -frename-registers -O2 -ggdb2"
export SSH_AUTH_SOCK="/tmp/ssh-UZwXFb3480/agent.3480"
export AS="as"
export AR="ar"
export BUILD_CPPFLAGS="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/include"
export NM_FOR_TARGET="arm-angstrom-linux-uclibceabi-nm"
export CC_FOR_BUILD="gcc"
export CONFIG_SITE="/devel/arm/git/openembedded/site/endian-little /devel/arm/git/openembedded/site/ix86-common /devel/arm/git/openembedded/site/common-linux /devel/arm/git/openembedded/site/common-glibc /devel/arm/git/openembedded/site/common"
export CC_FOR_HOST="gcc"
export RANLIB_FOR_TARGET="arm-angstrom-linux-uclibceabi-ranlib"
export AS_FOR_TARGET="arm-angstrom-linux-uclibceabi-as"
export LD_FOR_TARGET="arm-angstrom-linux-uclibceabi-ld"
export AR_FOR_TARGET="arm-angstrom-linux-uclibceabi-ar"
export CFLAGS_FOR_BUILD="-isystem/devel/arm/oetmp-ang/sysroots/i686-linux/usr/include -O2 -g"
export CPP_FOR_BUILD="cpp"
export CXX_FOR_HOST="gcc"
create_wrapper() {
# Create a wrapper script
#
# These are useful to work around relocation issues, by setting environment
# variables which point to paths in the filesystem.
#
# Usage: create_wrapper FILENAME [[VAR=VALUE]..]
cmd=$1
shift
# run echo via env to test syntactic validity of the variable arguments
env $@ echo "Generating wrapper script for $cmd"
mv $cmd $cmd.real
cmdname=`basename $cmd`.real
cat <<END >$cmd
#!/bin/sh
exec env $@ \`dirname \$0\`/$cmdname "\$@"
END
chmod +x $cmd
}
do_recipe_sanity_all() {
:
}
die() {
oefatal "$*"
}
base_do_install() {
:
}
do_compile() {
base_do_compile
}
base_do_package() {
:
}
do_package_stage_all() {
:
}
base_do_compile() {
if [ -e Makefile -o -e makefile -o -e GNUmakefile ]; then
oe_runmake || die "make failed"
else
oenote "nothing to compile"
fi
}
populate_sysroot_preamble() {
if [ "$PSTAGING_ACTIVE" = "1" ]; then
stage-manager -p /devel/arm/oetmp-ang/sysroots -c /devel/arm/oetmp-ang/pstage/stamp-cache-staging -u || true
fi
}
package_stagefile_shell() {
if [ "$PSTAGING_ACTIVE" = "1" ]; then
srcfile=$1
destfile=`echo $srcfile | sed s#/devel/arm/oetmp-ang#/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg#`
destdir=`dirname $destfile`
mkdir -p $destdir
cp -dp $srcfile $destfile
fi
}
do_package_update_index_ipk() {
set -x
ipkgarchs="all any noarch arm armv4 armv4t armv5te armv6 armv7 armv7a ac100"
if [ ! -z "${DEPLOY_KEEP_PACKAGES}" ]; then
return
fi
mkdir -p /devel/arm/oetmp-ang/deploy/uclibc/ipk
touch /devel/arm/oetmp-ang/deploy/uclibc/ipk/Packages
ipkg-make-index -r /devel/arm/oetmp-ang/deploy/uclibc/ipk/Packages -p /devel/arm/oetmp-ang/deploy/uclibc/ipk/Packages -l /devel/arm/oetmp-ang/deploy/uclibc/ipk/Packages.filelist -m /devel/arm/oetmp-ang/deploy/uclibc/ipk
for arch in $ipkgarchs; do
if [ -e /devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch/ ] ; then
touch /devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch/Packages
ipkg-make-index -r /devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch/Packages -p /devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch/Packages -l /devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch/Packages.filelist -m /devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch/
fi
if [ -e /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk/ ] ; then
touch /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk/Packages
ipkg-make-index -r /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk/Packages -p /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk/Packages -l /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk/Packages.filelist -m /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk/
fi
if [ -e /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch/ ] ; then
touch /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch/Packages
ipkg-make-index -r /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch/Packages -p /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch/Packages -l /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch/Packages.filelist -m /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch/
fi
done
}
oe_machinstall() {
# Purpose: Install machine dependent files, if available
# If not available, check if there is a default
# If no default, just touch the destination
# Example:
# $1 $2 $3 $4
# oe_machinstall -m 0644 fstab /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/etc/fstab
#
# TODO: Check argument number?
#
filename=`basename $3`
dirname=`dirname $3`
for o in `echo task-configure:thumb-interwork:libc-uclibc:pn-binutils-cross:fail-fast:build-linux:arm:linux-uclibceabi:angstrom:armv7a:Unknown:ac100:local | tr ':' ' '`; do
if [ -e $dirname/$o/$filename ]; then
oenote $dirname/$o/$filename present, installing to $4
install $1 $2 $dirname/$o/$filename $4
return
fi
done
# oenote overrides specific file NOT present, trying default=$3...
if [ -e $3 ]; then
oenote $3 present, installing to $4
install $1 $2 $3 $4
else
oenote $3 NOT present, touching empty $4
touch $4
fi
}
staging_packager() {
mkdir -p /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL
mkdir -p /devel/arm/oetmp-ang/pstage/angstromuclibc
echo "Package: staging-binutils-cross-armv7a-angstrom-linux-uclibceabi" > /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
echo "Version: 2.20.1-r11.4" >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
echo "Description: A GNU collection of binary utilities" >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
echo "Section: devel" >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
echo "Priority: Optional" >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
echo "Maintainer: Angstrom Developers <angstrom-distro-devel@linuxtogo.org>" >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
echo "Architecture: i686-linux-armv7a-linux-uclibceabi" >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
# Protect against empty SRC_URI
srcuri=" ftp://ftp.gnu.org/gnu/binutils/binutils-2.20.1.tar.bz2;name=tarball file://binutils-uclibc-100-uclibc-conf.patch file://110-arm-eabi-conf.patch file://binutils-uclibc-300-001_ld_makefile_patch.patch file://binutils-uclibc-300-006_better_file_error.patch file://binutils-uclibc-300-012_check_ldrunpath_length.patch file://binutils-uclibc-gas-needs-libm.patch file://binutils-x86_64_i386_biarch.patch file://libtool-update.patch file://binutils-2.19.1-ld-sysroot.patch file://binutils-2.16.1-e300c2c3.patch "
if [ "$srcuri" == "" ]; then
srcuri="OpenEmbedded"
fi
echo "Source: $srcuri" >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/CONTROL/control
# Deal with libtool not supporting sysroots
# Need to remove hardcoded paths and fix these when we install the
# staging packages.
# Could someone please add sysroot support to libtool!
for i in `grep -Irl /devel/arm/oetmp-ang /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg` ; do \
sed -i -e s:/devel/arm/oetmp-ang/sysroots:FIXMESTAGINGDIR:g $i
echo $i | sed -e 's:/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/::' >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/sysroots/fixmepath
done
stage-manager-ipkg-build -o 0 -g 0 /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg /devel/arm/oetmp-ang/pstage/angstromuclibc
}
SRC_DISTRIBUTECOMMAND() {
test -e "${SRC}.md5" && ln -sf "${SRC}.md5" .
ln -sf "${SRC}" .
}
oefatal() {
echo "FATAL:" "$*"
exit 1
}
oe_libinstall() {
# Purpose: Install a library, in all its forms
# Example
#
# oe_libinstall libltdl /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/
# oe_libinstall -C src/libblah libblah /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/
dir=""
libtool=""
silent=""
require_static=""
require_shared=""
staging_install=""
while [ "$#" -gt 0 ]; do
case "$1" in
-C)
shift
dir="$1"
;;
-s)
silent=1
;;
-a)
require_static=1
;;
-so)
require_shared=1
;;
-*)
oefatal "oe_libinstall: unknown option: $1"
;;
*)
break;
;;
esac
shift
done
libname="$1"
shift
destpath="$1"
if [ -z "$destpath" ]; then
oefatal "oe_libinstall: no destination path specified"
fi
if echo "$destpath/" | egrep '^/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/' >/dev/null
then
staging_install=1
fi
__runcmd () {
if [ -z "$silent" ]; then
echo >&2 "oe_libinstall: $*"
fi
$*
}
if [ -z "$dir" ]; then
dir=`pwd`
fi
dotlai=$libname.lai
# Sanity check that the libname.lai is unique
number_of_files=`(cd $dir; find . -name "$dotlai") | wc -l`
if [ $number_of_files -gt 1 ]; then
oefatal "oe_libinstall: $dotlai is not unique in $dir"
fi
dir=$dir`(cd $dir;find . -name "$dotlai") | sed "s/^\.//;s/\/$dotlai\$//;q"`
olddir=`pwd`
__runcmd cd $dir
lafile=$libname.la
# If such file doesn't exist, try to cut version suffix
if [ ! -f "$lafile" ]; then
libname1=`echo "$libname" | sed 's/-[0-9.]*$//'`
lafile1=$libname.la
if [ -f "$lafile1" ]; then
libname=$libname1
lafile=$lafile1
fi
fi
if [ -f "$lafile" ]; then
# libtool archive
eval `cat $lafile|grep "^library_names="`
libtool=1
else
library_names="$libname.so* $libname.dll.a"
fi
__runcmd install -d $destpath/
dota=$libname.a
if [ -f "$dota" -o -n "$require_static" ]; then
__runcmd install -m 0644 $dota $destpath/
fi
if [ -f "$dotlai" -a -n "$libtool" ]; then
if [ -n "$staging_install" -a "no" = "no" ]
then
# stop libtool using the final directory name for libraries
# in staging:
__runcmd rm -f $destpath/$libname.la
__runcmd sed -e 's/^installed=yes$/installed=no/' \
-e '/^dependency_libs=/s,/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4[[:alnum:]/\._+-]*/\([[:alnum:]\._+-]*\),/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/\1,g' \
-e "/^dependency_libs=/s,\([[:space:]']\)/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib,\1/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib,g" \
$dotlai >$destpath/$libname.la
else
__runcmd install -m 0644 $dotlai $destpath/$libname.la
fi
fi
for name in $library_names; do
files=`eval echo $name`
for f in $files; do
if [ ! -e "$f" ]; then
if [ -n "$libtool" ]; then
oefatal "oe_libinstall: $dir/$f not found."
fi
elif [ -L "$f" ]; then
__runcmd cp -P "$f" $destpath/
elif [ ! -L "$f" ]; then
libfile="$f"
__runcmd install -m 0755 $libfile $destpath/
fi
done
done
if [ -z "$libfile" ]; then
if [ -n "$require_shared" ]; then
oefatal "oe_libinstall: unable to locate shared library"
fi
elif [ -z "$libtool" ]; then
# special case hack for non-libtool .so.#.#.# links
baselibfile=`basename "$libfile"`
if (echo $baselibfile | grep -qE '^lib.*\.so\.[0-9.]*$'); then
sonamelink=`readelf -d $libfile |grep 'Library soname:' |sed -e 's/.*\[\(.*\)\].*/\1/'`
solink=`echo $baselibfile | sed -e 's/\.so\..*/.so/'`
if [ -n "$sonamelink" -a x"$baselibfile" != x"$sonamelink" ]; then
__runcmd ln -sf $baselibfile $destpath/$sonamelink
fi
__runcmd ln -sf $baselibfile $destpath/$solink
fi
fi
__runcmd cd "$olddir"
}
sysroot_stage_all() {
sysroot_stage_dir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir/
install -d /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/lib/
install -d /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/usr/lib/
if [ -d /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//lib ]; then
sysroot_stage_libdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//lib /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/lib
fi
if [ -d /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//usr/lib ]; then
sysroot_stage_libdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//usr/lib /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir//devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/usr/lib
fi
}
do_configure() {
(cd /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1; gnu-configize) || die "Failed to run gnu-configize"
# Fix for issues when system's texinfo version >= 4.10
# (See https://bugzilla.redhat.com/show_bug.cgi?id=345621)
sed -i -e "s@egrep 'texinfo.*'@egrep 'texinfo[^0-9]*([1-3][0-9]|4\.[4-9]|4.[1-9][0-9]+|[5-9])'@" '/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/configure'
oe_runconf
#
# must prime config.cache to ensure the build of libiberty
#
mkdir -p /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/build.i686-linux.arm-angstrom-linux-uclibceabi/build-i686-linux
for i in /devel/arm/git/openembedded/site/endian-little /devel/arm/git/openembedded/site/ix86-common /devel/arm/git/openembedded/site/common-linux /devel/arm/git/openembedded/site/common-glibc /devel/arm/git/openembedded/site/common; do
cat $i >> /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/build.i686-linux.arm-angstrom-linux-uclibceabi/build-i686-linux/config.cache
done
}
do_package_write() {
:
}
package_generate_ipkg_conf() {
mkdir -p /devel/arm/oetmp-ang/sysroots/i686-linux/etc/
echo "src oe file:/devel/arm/oetmp-ang/deploy/uclibc/ipk" > /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg.conf
echo "src oe file:/devel/arm/oetmp-ang/deploy/uclibc/ipk" > /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-sdk.conf
echo "src oe file:/devel/arm/oetmp-ang/deploy/uclibc/ipk" > /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-canadian-sdk.conf
ipkgarchs="all any noarch arm armv4 armv4t armv5te armv6 armv7 armv7a ac100"
priority=1
for arch in $ipkgarchs; do
echo "arch $arch $priority" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg.conf
echo "arch i686-$arch-sdk $priority" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-sdk.conf
echo "arch i686-linux-sdk-$arch $priority" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-canadian-sdk.conf
priority=$(expr $priority + 5)
if [ -e /devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch/Packages ] ; then
echo "src oe-$arch file:/devel/arm/oetmp-ang/deploy/uclibc/ipk/$arch" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg.conf
fi
if [ -e /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk/Packages ] ; then
echo "src oe-i686-$arch-sdk file:/devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-$arch-sdk" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-sdk.conf
fi
if [ -e /devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch/Packages ] ; then
echo "src oe-i686-linux-sdk-$arch file:/devel/arm/oetmp-ang/deploy/uclibc/ipk/i686-linux-sdk-$arch" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-canadian-sdk.conf
fi
done
echo "lists_dir ext /var/lib/opkg" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg.conf
echo "lists_dir ext /var/lib/opkg" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-sdk.conf
echo "lists_dir ext /var/lib/opkg" >> /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg-canadian-sdk.conf
}
devshell_do_devshell() {
export TERMWINDOWTITLE="Bitbake Developer Shell"
konsole -T "$TERMWINDOWTITLE"
if [ $? -ne 0 ]; then
echo "Fatal: 'konsole -T "$TERMWINDOWTITLE"' not found. Check TERMCMD variable."
exit 1
fi
}
do_rm_work() {
cd /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4
for dir in *
do
if [ `basename ${dir}` = "temp" ]; then
echo "Not removing temp"
else
echo "Removing $dir" ; rm -rf $dir
fi
done
}
sysroot_stage_dir() {
src="$1"
dest="$2"
# This will remove empty directories so we can ignore them
rmdir "$src" 2> /dev/null || true
if [ -d "$src" ]; then
mkdir -p "$dest"
cp -fpPR "$src"/* "$dest"
fi
}
do_testlab() {
if [ -e /devel/arm/oetmp-ang/rootfs/binutils-cross/etc/opkg ] && [ "${ONLINE_PACKAGE_MANAGEMENT}" = "full" ] ; then
IPKG_TMP_DIR="/devel/arm/oetmp-ang/rootfs/binutils-cross-tmp"
IPKG_ARGS="-f /devel/arm/oetmp-ang/sysroots/i686-linux/etc/opkg.conf -o /devel/arm/oetmp-ang/rootfs/binutils-cross -t ${IPKG_TMP_DIR}"
TESTLAB_DIR="/devel/arm/oetmp-ang/deploy/uclibc/images/ac100/Angstrom-binutils-cross-uclibc-ipk-2010.7-test-20101020-ac100-testlab"
mkdir -p ${TESTLAB_DIR}/
mkdir -p ${IPKG_TMP_DIR}/
ls -laR /devel/arm/oetmp-ang/rootfs/binutils-cross > ${TESTLAB_DIR}/files-in-image.txt
echo > ${TESTLAB_DIR}/installed-packages.txt
echo -e "digraph depends {\n node [shape=plaintext]" > ${TESTLAB_DIR}/depends.dot
for pkg in $(opkg-cl ${IPKG_ARGS} list_installed | awk '{print $1}') ; do
opkg-cl ${IPKG_ARGS} info $pkg | grep -B 7 -A 7 "^Status.* \(\(installed\)\|\(unpacked\)\)" | awk '/^Package/ {printf $2"_"} /^Version/ {printf $2"_"} /^Archi/ {print $2".ipk"}' >> ${TESTLAB_DIR}/installed-packages.txt
for depends in $(opkg-cl ${IPKG_ARGS} info $pkg | grep ^Depends) ; do
echo "$pkg OPP $depends;" | grep -v "(" | grep -v ")" | grep -v "$pkg OPP Depends" | sed -e 's:,::g' -e 's:-:_:g' -e 's:\.:_:g' -e 's:+::g' |sed 's:OPP:->:g' >> ${TESTLAB_DIR}/depends.dot
done
for recommends in $(opkg-cl ${IPKG_ARGS} info $pkg | grep ^Recom) ; do
echo "$pkg OPP $recommends [style=dotted];" | grep -v "(" | grep -v ")" | grep -v "$pkg OPP Recom" | sed -e 's:,::g' -e 's:-:_:g' -e 's:\.:_:g' -e 's:+::g' |sed 's:OPP:->:g' >> ${TESTLAB_DIR}/depends.dot
done
done
echo "}" >> ${TESTLAB_DIR}/depends.dot
rm -rf ${IPKG_TMP_DIR}
grep -v kernel_2 ${TESTLAB_DIR}/depends.dot | grep -v kernel_image > ${TESTLAB_DIR}/depends-nokernel.dot
grep -v libc6 ${TESTLAB_DIR}/depends-nokernel.dot | grep -v libgcc > ${TESTLAB_DIR}/depends-nokernel-nolibc.dot
grep -v update_ ${TESTLAB_DIR}/depends-nokernel-nolibc.dot > ${TESTLAB_DIR}/depends-nokernel-nolibc-noupdate.dot
grep -v kernel_module ${TESTLAB_DIR}/depends-nokernel-nolibc-noupdate.dot > ${TESTLAB_DIR}/depends-nokernel-nolibc-noupdate-nomodules.dot
#dot has some library troubles when run under fakeroot, uncomment at your own risk
#dot -Tpng -o ${TESTLAB_DIR}/image-dependencies.png ${TESTLAB_DIR}/depends.dot
#dot -Tpng -o ${TESTLAB_DIR}/image-dependencies-nokernel-nolibc.png ${TESTLAB_DIR}/depends-nokernel-nolibc.dot
#dot -Tpng -o ${TESTLAB_DIR}/image-dependencies-nokernel-nolibc-noupdate.png ${TESTLAB_DIR}/depends-nokernel-nolibc-noupdate.dot
#dot -Tpng -o ${TESTLAB_DIR}/image-dependencies-nokernel-nolibc-noupdate-nomodules.png ${TESTLAB_DIR}/depends-nokernel-nolibc-noupdate-nomodules.dot
for file in $(cat ${TESTLAB_DIR}/installed-packages.txt) ; do
du -k $(find /devel/arm/oetmp-ang/deploy/uclibc/ipk -name "$file") | head -n1
done | grep "\.ipk" | sed -e s:/devel/arm/oetmp-ang/deploy/uclibc/ipk::g | sort -n -r | awk '{print $1 "\tKiB " $2}' > ${TESTLAB_DIR}/installed-package-sizes.txt
# Log results to a git controlled directory structure than can be pushed to a remote location
if [ "${TESTLABLOG}" = "remote" ] && [ -n "${TESTLABREMOTEDIR}" ] ; then
TESTLABLOGDIR="ac100/binutils-cross"
mkdir -p ${TESTLABREMOTEDIR}/${TESTLABLOGDIR}
cp ${TESTLAB_DIR}/*package* ${TESTLAB_DIR}/depends.dot ${TESTLABREMOTEDIR}/${TESTLABLOGDIR}
# force change to record builds where the testlab contents didn't change, but other things (e.g. git rev) did
echo "ac100: binutils-cross configured for angstrom 2010.7-test-20101020 using branch foo and revision c8b2396bc77e7892e728c8e268c1474c29a1555a " > ${TESTLABREMOTEDIR}/${TESTLABLOGDIR}/build-id
# This runs inside fakeroot, so the git author is listed as root (or whatever root configured it to be) :(
( cd ${TESTLABREMOTEDIR}/
git add ${TESTLABLOGDIR}/*
git commit ${TESTLABLOGDIR}/ -m "ac100: binutils-cross configured for angstrom 2010.7-test-20101020 using branch foo and revision c8b2396bc77e7892e728c8e268c1474c29a1555a" --author "testlab <testlab@angstrom>" || true)
fi
fi
}
oewarn() {
echo "WARNING:" "$*"
}
base_do_configure() {
:
}
oe_soinstall() {
# Purpose: Install shared library file and
# create the necessary links
# Example:
#
# oe_
#
#oenote installing shared library $1 to $2
#
libname=`basename $1`
install -m 755 $1 $2/$libname
sonamelink=`readelf -d $1 |grep 'Library soname:' |sed -e 's/.*\[\(.*\)\].*/\1/'`
solink=`echo $libname | sed -e 's/\.so\..*/.so/'`
ln -sf $libname $2/$sonamelink
ln -sf $libname $2/$solink
}
do_install() {
oe_runmake 'DESTDIR=/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image' install
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/arm-angstrom-linux-uclibceabi
# We don't really need these, so we'll remove them...
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/ldscripts
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/info
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/locale
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/man
rmdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share || :
rmdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/gcc-lib || :
rmdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib64/gcc-lib || :
rmdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib || :
rmdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib64 || :
rmdir /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a || :
# Insert symlinks into libexec so when tools without a prefix are searched for, the correct ones are
# found.
dest=/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/arm-angstrom-linux-uclibceabi/bin
install -d $dest
for t in ar as ld nm objcopy objdump ranlib strip; do
ln -sf ../../bin/arm-angstrom-linux-uclibceabi-$t $dest/$t
done
}
do_checkuriall() {
:
}
do_buildall() {
:
}
oenote() {
echo "NOTE:" "$*"
}
sysroot_stage_libdir() {
src="$1"
dest="$2"
if [ "no" = "no" ]; then
olddir=`pwd`
cd $src
las=$(find . -name \*.la -type f)
cd $olddir
echo "Found la files: $las"
for i in $las
do
sed -e 's/^installed=yes$/installed=no/' \
-e '/^dependency_libs=/s,/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4[[:alnum:]/\._+-]*/\([[:alnum:]\._+-]*\),/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib/\1,g' \
-e "/^dependency_libs=/s,\([[:space:]']\)/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib,\1/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib,g" \
-e "/^libdir=/s,.*,libdir=/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi/usr/lib,g" -e "/^dependency_libs=/s,\([[:space:]']\)-L/devel/arm/oetmp-ang/sysroots/i686-linux/usr/lib,,g" \
-i $src/$i
done
fi
sysroot_stage_dir $src $dest
}
sysroot_stage_dirs() {
from="$1"
to="$2"
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include $to/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include
if [ "i686-linux" = "i686-linux" ]; then
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/bin $to/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/bin
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/bin $to/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/bin
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/bin $to/devel/arm/oetmp-ang/sysroots/i686-linux/bin
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/bin $to/devel/arm/oetmp-ang/sysroots/i686-linux/bin
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/libexec $to/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/libexec
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/etc $to/devel/arm/oetmp-ang/sysroots/i686-linux/etc
if [ "/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib" != "/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib" ]; then
# python puts its files in here, make sure they are staged as well
sysroot_stage_dir $from//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib $to/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib
fi
fi
if [ -d $from/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib ]
then
sysroot_stage_libdir $from//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib $to/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib
fi
if [ -d $from/devel/arm/oetmp-ang/sysroots/i686-linux/lib ]
then
sysroot_stage_libdir $from/devel/arm/oetmp-ang/sysroots/i686-linux/lib $to/devel/arm/oetmp-ang/sysroots/i686-linux/lib
fi
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share $to/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share
sysroot_stage_dir $from/devel/arm/oetmp-ang/sysroots/i686-linux/etc $to/devel/arm/oetmp-ang/sysroots/i686-linux/etc
}
do_rm_work_all() {
:
}
MIRRORS() {
ftp://ftp.debian.org/debian/pool/main http://snapshot.debian.net/archive/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.de.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.au.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.cl.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.hr.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.fi.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.hk.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.hu.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.ie.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.it.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.jp.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.no.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.pl.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.ro.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.si.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.es.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.se.debian.org/debian/pool
ftp://ftp.debian.org/debian/pool ftp://ftp.tr.debian.org/debian/pool
ftp://ftp.gnu.org/gnu ftp://mirrors.kernel.org/gnu
ftp://ftp.gnu.org/gnu ftp://ftp.cs.ubc.ca/mirror2/gnu
ftp://ftp.gnu.org/gnu ftp://sunsite.ust.hk/pub/gnu
ftp://ftp.gnu.org/gnu ftp://ftp.ayamura.org/pub/gnu
http://kernel.org http://www.kernel.org/pub
http://kernel.org ftp://ftp.us.kernel.org/pub
http://kernel.org ftp://ftp.uk.kernel.org/pub
http://kernel.org ftp://ftp.hk.kernel.org/pub
http://kernel.org ftp://ftp.au.kernel.org/pub
http://kernel.org ftp://ftp.jp.kernel.org/pub
ftp://ftp.gnupg.org/gcrypt/ ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/
ftp://ftp.gnupg.org/gcrypt/ ftp://ftp.surfnet.nl/pub/security/gnupg/
ftp://ftp.gnupg.org/gcrypt/ http://gulus.USherbrooke.ca/pub/appl/GnuPG/
ftp://dante.ctan.org/tex-archive ftp://ftp.fu-berlin.de/tex/CTAN
ftp://dante.ctan.org/tex-archive http://sunsite.sut.ac.jp/pub/archives/ctan/
ftp://dante.ctan.org/tex-archive http://ctan.unsw.edu.au/
ftp://ftp.gnutls.org/pub/gnutls ftp://ftp.gnutls.org/pub/gnutls/
ftp://ftp.gnutls.org/pub/gnutls ftp://ftp.gnupg.org/gcrypt/gnutls/
ftp://ftp.gnutls.org/pub/gnutls http://www.mirrors.wiretapped.net/security/network-security/gnutls/
ftp://ftp.gnutls.org/pub/gnutls ftp://ftp.mirrors.wiretapped.net/pub/security/network-security/gnutls/
ftp://ftp.gnutls.org/pub/gnutls http://josefsson.org/gnutls/releases/
http://ftp.info-zip.org/pub/infozip/src/ http://mirror.switch.ch/ftp/mirror/infozip/src/
http://ftp.info-zip.org/pub/infozip/src/ ftp://sunsite.icm.edu.pl/pub/unix/archiving/info-zip/src/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://ftp.cerias.purdue.edu/pub/tools/unix/sysutils/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://ftp.tau.ac.il/pub/unix/admin/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://ftp.cert.dfn.de/pub/tools/admin/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://ftp.fu-berlin.de/pub/unix/tools/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://ftp.kaizo.org/pub/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://ftp.tu-darmstadt.de/pub/sysadmin/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://ftp.tux.org/pub/sites/vic.cc.purdue.edu/tools/unix/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://gd.tuwien.ac.at/utils/admin-tools/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://sunsite.ualberta.ca/pub/Mirror/lsof/
ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/ ftp://the.wiretapped.net/pub/security/host-security/lsof/
http://www.apache.org/dist http://archive.apache.org/dist
ftp://.*/.* http://mirrors.openembedded.org/
https?$://.*/.* http://mirrors.openembedded.org/
ftp://.*/.* http://sources.openembedded.org/
https?$://.*/.* http://sources.openembedded.org/
ftp://.*/.* http://www.angstrom-distribution.org/unstable/sources/
https?$://.*/.* http://www.angstrom-distribution.org/unstable/sources/
}
populate_sysroot_postamble() {
if [ "$PSTAGING_ACTIVE" = "1" ]; then
# list the packages currently installed in staging
# stage-manager-ipkg -f /devel/arm/oetmp-ang/pstage/opkg.conf -o /devel/arm/oetmp-ang list_installed | awk '{print $1}' > /devel/arm/oetmp-ang/pstage/installed-list
# exitcode == 5 is ok, it means the files change
set +e
stage-manager -p /devel/arm/oetmp-ang/sysroots -c /devel/arm/oetmp-ang/pstage/stamp-cache-staging -u -d /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/sysroots
exitcode=$?
if [ "$exitcode" != "5" -a "$exitcode" != "0" ]; then
exit $exitcode
fi
set -e
fi
}
packagedstaging_fastpath() {
mkdir -p /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/sysroots/
cp -fpPR /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/sysroot-destdir///devel/arm/oetmp-ang/sysroots/* /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg/sysroots/ || /bin/true
}
staging_package_installer() {
#stage-manager-ipkg -f /devel/arm/oetmp-ang/pstage/opkg.conf -force-depends -o /devel/arm/oetmp-ang install /devel/arm/oetmp-ang/pstage/angstromuclibc/staging-binutils-cross-armv7a-angstrom-linux-uclibceabi_2.20.1-r11.4_i686-linux-armv7a-linux-uclibceabi.ipk
STATUSFILE=/devel/arm/oetmp-ang/usr/lib/opkg/status
echo "Package: staging-binutils-cross-armv7a-angstrom-linux-uclibceabi" >> $STATUSFILE
echo "Version: 2.20.1-r11.4" >> $STATUSFILE
echo "Status: install user installed" >> $STATUSFILE
echo "Architecture: i686-linux-armv7a-linux-uclibceabi" >> $STATUSFILE
echo "" >> $STATUSFILE
CTRLFILE=/devel/arm/oetmp-ang/usr/lib/opkg/info/staging-binutils-cross-armv7a-angstrom-linux-uclibceabi.control
echo "Package: staging-binutils-cross-armv7a-angstrom-linux-uclibceabi" > $CTRLFILE
echo "Version: 2.20.1-r11.4" >> $CTRLFILE
echo "Architecture: i686-linux-armv7a-linux-uclibceabi" >> $CTRLFILE
cd /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/staging-pkg
find -type f | grep -v ./CONTROL | sed -e 's/^\.//' > /devel/arm/oetmp-ang/usr/lib/opkg/info/staging-binutils-cross-armv7a-angstrom-linux-uclibceabi.list
}
ldconfig_postinst_fragment() {
if [ x"$D" = "x" ]; then
if [ -e /etc/ld.so.conf ] ; then
[ -x /sbin/ldconfig ] && /sbin/ldconfig
fi
fi
}
do_fetchall() {
:
}
oedebug() {
test $# -ge 2 || {
echo "Usage: oedebug level \"message\""
exit 1
}
test ${OEDEBUG:-0} -ge $1 && {
shift
echo "DEBUG:" $*
}
}
oe_runmake() {
oenote make configure-build-libiberty all "$@"
make configure-build-libiberty all "$@" || die "oe_runmake failed"
}
staging_helper() {
# Assemble appropriate opkg.conf
conffile=/devel/arm/oetmp-ang/pstage/opkg.conf
mkdir -p /devel/arm/oetmp-ang/pstage/pstaging_lists
arch="i686-linux-armv7a-linux-uclibceabi"
if [ ! -e $conffile ]; then
echo "arch $arch 1" > $conffile
echo "dest root /" >> $conffile
elif [ `grep -c " $arch " $conffile` -eq 0 ]; then
priority=$(expr `grep -cE "^arch" $conffile` + 1)
sed -i -e "/dest/iarch $arch $priority" $conffile
fi
if [ ! -e /devel/arm/oetmp-ang/usr/lib/opkg/info/ ]; then
mkdir -p /devel/arm/oetmp-ang/usr/lib/opkg/info/
fi
if [ ! -e /devel/arm/oetmp-ang/usr/lib/ipkg/ ]; then
ln -sf opkg/ /devel/arm/oetmp-ang/usr/lib/ipkg || true
fi
}
do_devshell() {
devshell_do_devshell
}
autotools_do_install() {
oe_runmake 'DESTDIR=/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image' install
}
autotools_do_configure() {
case binutils-cross in
autoconf*)
;;
automake*)
;;
*)
# WARNING: gross hack follows:
# An autotools built package generally needs these scripts, however only
# automake or libtoolize actually install the current versions of them.
# This is a problem in builds that do not use libtool or automake, in the case
# where we -need- the latest version of these scripts. e.g. running a build
# for a package whose autotools are old, on an x86_64 machine, which the old
# config.sub does not support. Work around this by installing them manually
# regardless.
( for ac in `find /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1 -name configure.in -o -name configure.ac`; do
rm -f `dirname $ac`/configure
done )
if [ -e /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/configure.in -o -e /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/configure.ac ]; then
olddir=`pwd`
cd /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1
if [ x"default" = xdefault ]; then
acpaths=
for i in `find /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1 -maxdepth 2 -name \*.m4|grep -v 'aclocal.m4'| \
grep -v 'acinclude.m4' | sed -e 's,\(.*/\).*$,\1,'|sort -u`; do
acpaths="$acpaths -I $i"
done
else
acpaths="default"
fi
AUTOV=`automake --version |head -n 1 |sed "s/.* //;s/\.[0-9]\+$//"`
automake --version
echo "AUTOV is $AUTOV"
install -d /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/aclocal
install -d /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/aclocal-$AUTOV
acpaths="$acpaths -I/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/aclocal-$AUTOV -I /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/aclocal"
# autoreconf is too shy to overwrite aclocal.m4 if it doesn't look
# like it was auto-generated. Work around this by blowing it away
# by hand, unless the package specifically asked not to run aclocal.
if ! echo --exclude=autopoint | grep -q "aclocal"; then
rm -f aclocal.m4
fi
if [ -e configure.in ]; then
CONFIGURE_AC=configure.in
else
CONFIGURE_AC=configure.ac
fi
if grep "^[[:space:]]*AM_GLIB_GNU_GETTEXT" $CONFIGURE_AC >/dev/null; then
if grep "sed.*POTFILES" $CONFIGURE_AC >/dev/null; then
: do nothing -- we still have an old unmodified configure.ac
else
oenote Executing glib-gettextize --force --copy
echo "no" | glib-gettextize --force --copy
fi
else if grep "^[[:space:]]*AM_GNU_GETTEXT" $CONFIGURE_AC >/dev/null; then
if [ -e /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/gettext/config.rpath ]; then
cp /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/gettext/config.rpath /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/
else
oenote /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/gettext/config.rpath not found. gettext is not installed.
fi
fi
fi
mkdir -p m4
oenote Executing autoreconf --verbose --install --force --exclude=autopoint $acpaths
autoreconf -Wcross --verbose --install --force --exclude=autopoint $acpaths || oefatal "autoreconf execution failed."
if grep "^[[:space:]]*[AI][CT]_PROG_INTLTOOL" $CONFIGURE_AC >/dev/null; then
oenote Executing intltoolize --copy --force --automake
intltoolize --copy --force --automake
fi
cd $olddir
fi
;;
esac
if [ -e /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/configure ]; then
oe_runconf $@
else
oenote "nothing to configure"
fi
}
autotools_stage_all() {
if [ "${INHIBIT_AUTO_STAGE}" = "1" ]
then
return
fi
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging
mkdir -p /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging
oe_runmake DESTDIR="/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging" install
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/man || true
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/share/info || true
sysroot_stage_dirs /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging
}
autotools_prepackage_lamangler() {
for i in `find /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/package -name "*.la"` ; do \
sed -i -e 's:/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib:/devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/lib:g;' \
-e 's:/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/image::g;' \
-e 's:-I/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4\S*: :g;' \
-e 's:-L/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4\S*: :g;' \
$i
done
}
autotools_stage_libdir() {
sysroot_stage_libdir $1 $2
}
autotools_stage_dir() {
sysroot_stage_dir $1 $2
}
oe_runconf() {
if [ -x /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/configure ] ; then
/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/configure \
--build=i686-linux --host=arm-angstrom-linux-uclibceabi --target=arm-angstrom-linux-uclibceabi --prefix=/usr --exec_prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --libexecdir=/usr/libexec --datadir=/usr/share --sysconfdir=/etc --sharedstatedir=/com --localstatedir=/var --libdir=/usr/lib --includedir=/usr/include --oldincludedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --with-sysroot=/devel/arm/oetmp-ang/sysroots/armv7a-angstrom-linux-uclibceabi --program-prefix=arm-angstrom-linux-uclibceabi- --disable-werror --program-prefix=arm-angstrom-linux-uclibceabi- --disable-nls "$@"
else
oefatal "no configure script found"
fi
}
autotools_stage_includes() {
if [ "${INHIBIT_AUTO_STAGE_INCLUDES}" != "1" ]
then
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging
mkdir -p /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging
make DESTDIR="/devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging" install
cp -pPR /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging//devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include/* /devel/arm/oetmp-ang/sysroots/i686-linux/usr/armv7a/include
rm -rf /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/temp-staging
fi
}
cd /devel/arm/oetmp-ang/work/armv7a-angstrom-linux-uclibceabi/binutils-cross-2.20.1-r11.4/binutils-2.20.1/build.i686-linux.arm-angstrom-linux-uclibceabi
do_configure